[arch-commits] Commit in gstreamer0.10-bad/repos (7 files)

Ionut Biru ibiru at archlinux.org
Mon Feb 6 12:34:10 EST 2012


    Date: Monday, February 6, 2012 @ 12:34:09
  Author: ibiru
Revision: 149295

db-move: moved gstreamer0.10-bad from [testing] to [extra] (i686)

Added:
  gstreamer0.10-bad/repos/extra-i686/PKGBUILD
    (from rev 149268, gstreamer0.10-bad/repos/testing-i686/PKGBUILD)
  gstreamer0.10-bad/repos/extra-i686/gstreamer0.10-bad-plugins.install
    (from rev 149268, gstreamer0.10-bad/repos/testing-i686/gstreamer0.10-bad-plugins.install)
  gstreamer0.10-bad/repos/extra-i686/mjpeg-2.0.patch
    (from rev 149268, gstreamer0.10-bad/repos/testing-i686/mjpeg-2.0.patch)
Deleted:
  gstreamer0.10-bad/repos/extra-i686/PKGBUILD
  gstreamer0.10-bad/repos/extra-i686/gstreamer0.10-bad-plugins.install
  gstreamer0.10-bad/repos/extra-i686/mjpeg-2.0.patch
  gstreamer0.10-bad/repos/testing-i686/

-----------------------------------+
 PKGBUILD                          |   98 ++++++++++++++++++------------------
 gstreamer0.10-bad-plugins.install |   22 ++++----
 mjpeg-2.0.patch                   |   56 ++++++++++----------
 3 files changed, 88 insertions(+), 88 deletions(-)

Deleted: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2012-02-06 17:34:06 UTC (rev 149294)
+++ extra-i686/PKGBUILD	2012-02-06 17:34:09 UTC (rev 149295)
@@ -1,49 +0,0 @@
-# $Id$
-# Maintainer: Jan de Groot <jgc at archlinux.org>
-
-pkgbase=gstreamer0.10-bad
-pkgname=('gstreamer0.10-bad' 'gstreamer0.10-bad-plugins')
-pkgver=0.10.22
-pkgrel=4
-arch=('i686' 'x86_64')
-license=('LGPL' 'GPL')
-makedepends=('pkgconfig' 'gstreamer0.10-base>=0.10.34' 'xvidcore' 'libdca' 'bzip2' 'libdc1394' 'neon' 'faac' 'musicbrainz' 'faad2' 'libmms' 'libcdaudio' 'libmpcdec' 'mjpegtools' 'libdvdnav' 'libmodplug' 'jasper' 'liblrdf' 'libofa' 'soundtouch' 'libvdpau' 'schroedinger' 'libass' 'libvpx' 'gsm' 'libgme' 'rtmpdump' 'libsndfile' 'librsvg')
-url="http://gstreamer.freedesktop.org/"
-options=(!libtool !emptydirs)
-source=(${url}/src/gst-plugins-bad/gst-plugins-bad-${pkgver}.tar.bz2
-        mjpeg-2.0.patch)
-md5sums=('9a2acee1f386f71247003d0d7090fb1c' '9415bdab8eb9cfba95df37aaf41c1172')
-
-build() {
-  cd "${srcdir}/gst-plugins-bad-${pkgver}"
-  patch -Np1 -i "${srcdir}/mjpeg-2.0.patch"
-  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
-    --disable-static --enable-experimental \
-    --with-package-name="GStreamer Bad Plugins (Archlinux)" \
-    --with-package-origin="http://www.archlinux.org/"
-
-  make || return 1
-  sed -e 's/gst sys ext/gst/' -i Makefile
-}
-
-package_gstreamer0.10-bad() {
-  pkgdesc="GStreamer Multimedia Framework Bad Plugin libraries (gst-plugins-bad)"
-  depends=('gstreamer0.10-base>=0.10.34')
-  groups=('gstreamer0.10-plugins')
-
-  cd "${srcdir}/gst-plugins-bad-${pkgver}"
-  make DESTDIR="${pkgdir}" install
-}
-
-package_gstreamer0.10-bad-plugins() {
-  pkgdesc="GStreamer Multimedia Framework Bad Plugins (gst-plugins-bad)"
-  depends=("gstreamer0.10-bad=${pkgver}" 'xvidcore' 'libdca' 'bzip2' 'libdc1394' 'neon' 'faac' 'musicbrainz' 'faad2' 'libmms' 'libcdaudio' 'libmpcdec' 'mjpegtools' 'libdvdnav' 'libmodplug' 'jasper' 'liblrdf' 'libofa' 'libvdpau' 'soundtouch' 'libass' 'schroedinger' 'libvpx' 'gsm' 'rtmpdump' 'libgme' 'libsndfile' 'librsvg')
-  groups=('gstreamer0.10-plugins')
-  install=gstreamer0.10-bad-plugins.install
-
-  cd "${srcdir}/gst-plugins-bad-${pkgver}"
-  make -C gst-libs DESTDIR="${pkgdir}" install
-  make -C ext DESTDIR="${pkgdir}" install
-  make -C sys DESTDIR="${pkgdir}" install
-  make -C gst-libs DESTDIR="${pkgdir}" uninstall
-}

Copied: gstreamer0.10-bad/repos/extra-i686/PKGBUILD (from rev 149268, gstreamer0.10-bad/repos/testing-i686/PKGBUILD)
===================================================================
--- extra-i686/PKGBUILD	                        (rev 0)
+++ extra-i686/PKGBUILD	2012-02-06 17:34:09 UTC (rev 149295)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgbase=gstreamer0.10-bad
+pkgname=('gstreamer0.10-bad' 'gstreamer0.10-bad-plugins')
+pkgver=0.10.22
+pkgrel=5
+arch=('i686' 'x86_64')
+license=('LGPL' 'GPL')
+makedepends=('pkgconfig' 'gstreamer0.10-base>=0.10.34' 'xvidcore' 'libdca' 'bzip2' 'libdc1394' 'neon' 'faac' 'musicbrainz' 'faad2' 'libmms' 'libcdaudio' 'libmpcdec' 'mjpegtools' 'libdvdnav' 'libmodplug' 'jasper' 'liblrdf' 'libofa' 'soundtouch' 'libvdpau' 'schroedinger' 'libass' 'libvpx' 'gsm' 'libgme' 'rtmpdump' 'libsndfile' 'librsvg')
+url="http://gstreamer.freedesktop.org/"
+options=(!libtool !emptydirs)
+source=(${url}/src/gst-plugins-bad/gst-plugins-bad-${pkgver}.tar.bz2
+        mjpeg-2.0.patch)
+md5sums=('9a2acee1f386f71247003d0d7090fb1c' '9415bdab8eb9cfba95df37aaf41c1172')
+
+build() {
+  cd "${srcdir}/gst-plugins-bad-${pkgver}"
+  patch -Np1 -i "${srcdir}/mjpeg-2.0.patch"
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+    --disable-static --enable-experimental \
+    --with-package-name="GStreamer Bad Plugins (Archlinux)" \
+    --with-package-origin="http://www.archlinux.org/"
+
+  make || return 1
+  sed -e 's/gst sys ext/gst/' -i Makefile
+}
+
+package_gstreamer0.10-bad() {
+  pkgdesc="GStreamer Multimedia Framework Bad Plugin libraries (gst-plugins-bad)"
+  depends=('gstreamer0.10-base>=0.10.34')
+  groups=('gstreamer0.10-plugins')
+
+  cd "${srcdir}/gst-plugins-bad-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+}
+
+package_gstreamer0.10-bad-plugins() {
+  pkgdesc="GStreamer Multimedia Framework Bad Plugins (gst-plugins-bad)"
+  depends=("gstreamer0.10-bad=${pkgver}" 'xvidcore' 'libdca' 'bzip2' 'libdc1394' 'neon' 'faac' 'musicbrainz' 'faad2' 'libmms' 'libcdaudio' 'libmpcdec' 'mjpegtools' 'libdvdnav' 'libmodplug' 'jasper' 'liblrdf' 'libofa' 'libvdpau' 'soundtouch' 'libass' 'schroedinger' 'libvpx' 'gsm' 'rtmpdump' 'libgme' 'libsndfile' 'librsvg')
+  groups=('gstreamer0.10-plugins')
+  install=gstreamer0.10-bad-plugins.install
+
+  cd "${srcdir}/gst-plugins-bad-${pkgver}"
+  make -C gst-libs DESTDIR="${pkgdir}" install
+  make -C ext DESTDIR="${pkgdir}" install
+  make -C sys DESTDIR="${pkgdir}" install
+  make -C gst-libs DESTDIR="${pkgdir}" uninstall
+}

Deleted: extra-i686/gstreamer0.10-bad-plugins.install
===================================================================
--- extra-i686/gstreamer0.10-bad-plugins.install	2012-02-06 17:34:06 UTC (rev 149294)
+++ extra-i686/gstreamer0.10-bad-plugins.install	2012-02-06 17:34:09 UTC (rev 149295)
@@ -1,11 +0,0 @@
-post_install() {
-    usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
-}
-
-post_upgrade() {
-    post_install
-}
-
-post_remove() {
-    post_install
-}

Copied: gstreamer0.10-bad/repos/extra-i686/gstreamer0.10-bad-plugins.install (from rev 149268, gstreamer0.10-bad/repos/testing-i686/gstreamer0.10-bad-plugins.install)
===================================================================
--- extra-i686/gstreamer0.10-bad-plugins.install	                        (rev 0)
+++ extra-i686/gstreamer0.10-bad-plugins.install	2012-02-06 17:34:09 UTC (rev 149295)
@@ -0,0 +1,11 @@
+post_install() {
+    usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas
+}
+
+post_upgrade() {
+    post_install
+}
+
+post_remove() {
+    post_install
+}

Deleted: extra-i686/mjpeg-2.0.patch
===================================================================
--- extra-i686/mjpeg-2.0.patch	2012-02-06 17:34:06 UTC (rev 149294)
+++ extra-i686/mjpeg-2.0.patch	2012-02-06 17:34:09 UTC (rev 149295)
@@ -1,28 +0,0 @@
-From 407b02578689804dc6bc47e53be9e87cc1b25597 Mon Sep 17 00:00:00 2001
-From: Götz Waschk <waschk at mandriva.org>
-Date: Tue, 24 May 2011 13:42:44 +0000
-Subject: mpeg2enc: support mjpegtools 2.0
-
-This adds conditional includes for the renamed headers in mjpegtools 2.0.
-Fixes: #650970.
----
-(limited to 'ext/mpeg2enc')
-
-diff --git a/ext/mpeg2enc/gstmpeg2encoder.cc b/ext/mpeg2enc/gstmpeg2encoder.cc
-index acfda50..31f1a30 100644
---- a/ext/mpeg2enc/gstmpeg2encoder.cc
-+++ b/ext/mpeg2enc/gstmpeg2encoder.cc
-@@ -26,7 +26,10 @@
- 
- #include <mpegconsts.h>
- #include <quantize.hh>
--#if GST_MJPEGTOOLS_API >= 10900
-+#if GST_MJPEGTOOLS_API >= 10903
-+#include <ontheflyratectlpass1.hh>
-+#include <ontheflyratectlpass2.hh>
-+#elif GST_MJPEGTOOLS_API >= 10900
- #include <ontheflyratectl.hh>
- #include <pass1ratectl.hh>
- #include <pass2ratectl.hh>
---
-cgit v0.9.0.2-2-gbebe

Copied: gstreamer0.10-bad/repos/extra-i686/mjpeg-2.0.patch (from rev 149268, gstreamer0.10-bad/repos/testing-i686/mjpeg-2.0.patch)
===================================================================
--- extra-i686/mjpeg-2.0.patch	                        (rev 0)
+++ extra-i686/mjpeg-2.0.patch	2012-02-06 17:34:09 UTC (rev 149295)
@@ -0,0 +1,28 @@
+From 407b02578689804dc6bc47e53be9e87cc1b25597 Mon Sep 17 00:00:00 2001
+From: Götz Waschk <waschk at mandriva.org>
+Date: Tue, 24 May 2011 13:42:44 +0000
+Subject: mpeg2enc: support mjpegtools 2.0
+
+This adds conditional includes for the renamed headers in mjpegtools 2.0.
+Fixes: #650970.
+---
+(limited to 'ext/mpeg2enc')
+
+diff --git a/ext/mpeg2enc/gstmpeg2encoder.cc b/ext/mpeg2enc/gstmpeg2encoder.cc
+index acfda50..31f1a30 100644
+--- a/ext/mpeg2enc/gstmpeg2encoder.cc
++++ b/ext/mpeg2enc/gstmpeg2encoder.cc
+@@ -26,7 +26,10 @@
+ 
+ #include <mpegconsts.h>
+ #include <quantize.hh>
+-#if GST_MJPEGTOOLS_API >= 10900
++#if GST_MJPEGTOOLS_API >= 10903
++#include <ontheflyratectlpass1.hh>
++#include <ontheflyratectlpass2.hh>
++#elif GST_MJPEGTOOLS_API >= 10900
+ #include <ontheflyratectl.hh>
+ #include <pass1ratectl.hh>
+ #include <pass2ratectl.hh>
+--
+cgit v0.9.0.2-2-gbebe



More information about the arch-commits mailing list